org.restlet.engine.security

## Class SslUtils

- java.lang.Object
- - org.restlet.engine.security.SslUtils

    public class SslUtils
    extends java.lang.Object

Various HTTPS utilities.

Author:
  Jerome Louvel

### Method Summary

Methods
`static java.lang.Integer` `extractKeySize(java.lang.String sslCipherSuite)` Extract the SSL key size of a given cipher suite.
`static java.lang.String[]` `getDisabledCipherSuites(RestletHelper<?> helper)` Returns the list of disabled cipher suites.
`static java.lang.String[]` `getEnabledCipherSuites(RestletHelper<?> helper)` Returns the list of enabled cipher suites.
`static SslContextFactory` `getSslContextFactory(RestletHelper<?> helper)` Returns the SSL context factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### extractKeySize

    public static java.lang.Integer extractKeySize(java.lang.String sslCipherSuite)

Extract the SSL key size of a given cipher suite.

Parameters:
  `sslCipherSuite` - The SSL cipher suite.
Returns:
  The SSL key size.

#### getDisabledCipherSuites

    public static java.lang.String[] getDisabledCipherSuites(RestletHelper<?> helper)

Returns the list of disabled cipher suites.

Parameters:
  `helper` - The helper to use.
Returns:
  The list of disabled cipher suites.

#### getEnabledCipherSuites

    public static java.lang.String[] getEnabledCipherSuites(RestletHelper<?> helper)

Returns the list of enabled cipher suites.

Parameters:
  `helper` - The helper to use.
Returns:
  The list of enabled cipher suites.

#### getSslContextFactory

    public static SslContextFactory getSslContextFactory(RestletHelper<?> helper)

Returns the SSL context factory. It first look for a "sslContextFactory" attribute (instance), then for a "sslContextFactory" parameter (class name to instantiate).

Parameters:
  `helper` - The helper to use.
Returns:
  The SSL context factory.